Bug 1121788 - Integrating n1kv VSM puppet deployment with foreman installer
Summary: Integrating n1kv VSM puppet deployment with foreman installer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-puppet-modules
Version: 5.0 (RHEL 7)
Hardware: Unspecified
OS: Linux
high
urgent
Target Milestone: beta
: Installer
Assignee: Ivan Chavero
QA Contact: Ami Jeain
URL:
Whiteboard: n1kv
Depends On:
Blocks: 1154162 1154159
TreeView+ depends on / blocked
 
Reported: 2014-07-21 21:20 UTC by ChingWei Chang
Modified: 2015-05-07 22:42 UTC (History)
14 users (show)

Fixed In Version: openstack-puppet-modules-2014.1-24.el7ost
Doc Type: Enhancement
Doc Text:
The N1KV VSM puppet module (Virtual Supervisor Module) has been integrated into the RHEL-OSP installer. With this enhancement, it is now possible to configure N1KV using the the RHEL-OSP installer.
Clone Of: 1121746
: 1174917 (view as bug list)
Environment:
Last Closed: 2014-12-16 17:50:36 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1800 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Installer Bug Fix Advisory 2014-11-04 22:00:19 UTC

Description ChingWei Chang 2014-07-21 21:20:46 UTC
Description of problem:
This bug is created to track the progress of Stackforge sumission for Cisco VSM(Virtual Supervisor Module) Foreman puppet agent deployment logic.
VSM is a Cisco NX-OS based virtual machine which uses its northbound REST API to communicate with OpenStack Nova Cloud Controller.  It maintains a virtual chassis where each slot (from slot 3 to slot 66 or 3 to slot 130) is taken a VEM module (Virtual Ethernet Module) which, in turn, is a virtual switch infra structure provided by N1KV  on each server. 

Slot 1 and 2 are reserved by Primary and Secondary VSM to provide an High Availability for the whoe distribute virtual switch.

This submission is tracked by two IDs due to some firewall port issues:
- https://review.openstack.org/102662
- https://review.openstack.org/106953

I am merging the 2nd one to the 1st one based on reviewers' input.

Comment 1 dontu 2014-07-21 21:27:02 UTC
This is also tracking the work needed to integrate VSM into Foreman from RedHat side..

Comment 3 ChingWei Chang 2014-07-28 18:44:05 UTC
It's passed all Jenkins/Zuul auto tests. 
https://review.openstack.org/102662

Comment 5 Mike Orazi 2014-08-12 01:25:07 UTC
This is showing the gates.  Can you link to the actual puppet modules you want to consider for inclusion?

Comment 6 ChingWei Chang 2014-08-12 18:19:23 UTC
Hi, 
The source is now in https://github.com/CiscoSystems/puppet-n1k-vsm-archive/tree/rh-n1k-vsm. 

Considering the stackforege upstream practice for whole git movement we learn at the code review, we are creating a new git at https://github.com/CiscoSystems/puppet-n1k-vsm where the source files are only contained in the master branch.

This task will

Comment 7 ChingWei Chang 2014-08-14 17:31:00 UTC
VSM puppetry is accepted at 
https://github.com/stackforge/puppet-n1k-vsm

Comment 8 Ivan Chavero 2014-09-09 19:06:36 UTC
Creating a pull request to the openstack puppet modules repo. Once accepted the module will be added to the Openstack Puppet Modules RPM

Comment 9 Ivan Chavero 2014-09-11 12:36:23 UTC
created pull request for openstack puppet modules

https://github.com/redhat-openstack/openstack-puppet-modules/pull/102

Comment 10 Arthur Berezin 2014-10-02 08:25:09 UTC
Mike, is this likely to land in R5A2 ?

Comment 11 Ivan Chavero 2014-10-03 23:47:45 UTC
i'm creating a package that includes this bug but i need QA ack in order to push it

Comment 13 Ivan Chavero 2014-10-13 21:42:51 UTC
corrected to the proper package version

Comment 15 errata-xmlrpc 2014-11-04 17:01:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2014-1800.html

Comment 16 ChingWei Chang 2014-12-16 17:39:20 UTC
Need to integrate the latest VSM puppetry into the OSP6
Do I need to open a new bug for this request ? 
I move the status to New for now, please let me know otherwise

Comment 17 Mike Orazi 2014-12-16 17:50:36 UTC
I think you are requesting that we update the version of an existing puppet module.  I'd prefer to see a net new bug to so we maintain a clear audit trail.

I'll return this bug to CLOSED_ERRATA so it represents state and we can notify the opm team that a bug will be incoming to request the puppet update.


Note You need to log in before you can comment on or make changes to this bug.